/************************************************************
 *
 * $Id: listeners.h,v 1.3 2000/05/03 19:25:05 htran Exp $
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 ************************************************************/

#ifndef LISTENERS_H
#define LISTENERS_H

#include "uTypes.h"
#include "rtp.h"
#include "arguments.h"

typedef struct{
  char address[16];
  int port;
  int rtpsock;
  int rtcpsock;
  bool zoom;
  bool enabled;
}aMediaSource_t ;


typedef struct{
  rtcpCommon_t common;
  struct{
    uint32_t src;
    rtcpSdesItem_t item;
  }sdes;
}rtcpSendItem_t;

void *
rtp_video_listener(args_t *args);

void *
rtp_audio_listener(args_t *args);


#endif
