/**********************************************************************
 *
 * $Id: write_cache.c,v 1.2 2000/05/03 19:25:29 htran Exp $
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 **********************************************************************/
#include <gtk/gtk.h>
#include "read_cache.h"
#include "lists.h"


void write_cache(){
  FILE *fpout;
  node *current=NULL;
  extern node *mpegListHead;
  int i=0;
  
  char *home=(char *)getenv("HOME");
  if(home==NULL)
    fprintf(stderr,"$HOME not defined, cannot write cached entries.\n\n");
  else
    {
      printf("Writing cache files...\n");
      system("rm -rf ~/.mim/cache/*");
		
      for(current=mpegListHead;current!=NULL;current=current->next){
        char filename[20];
        char fullpath[40];
        strcpy(fullpath,home);
        strcat(fullpath,"/.mim/cache/");
        sprintf(filename,"0000%x",i);
        strcat(fullpath,filename);             
        fpout=fopen(fullpath,"w");
        if(fpout==NULL){
          perror("fopen");
        }
        else{
          fprintf(fpout,"%s",current->data);
        }
        fclose(fpout);
		  
        i++;
      }
		
		
    }
}




